var schoolPageNo = '1';
var counselorPageNo = '1';
var quesDataPageNo = '1';
var pageSize = '10';
var result = true;

mui.plusReady(function() {
	var counselorListDiv = document.getElementById("counselorListDiv");
	mui(counselorListDiv).pullToRefresh({
		down: {},
		up: {
			callback: function() {
				var self = this;
				loadCounselorList(self);
			}
		}
	});
	
	var quesDataListDiv = document.getElementById("quesDataListDiv");
	mui(quesDataListDiv).pullToRefresh({
		down: {},
		up: {
			callback: function() {
				var self = this;
				loadQuesDataList(self);
			}
		}
	});
	
	var schoolListDiv = document.getElementById("schoolListDiv");
	mui(schoolListDiv).pullToRefresh({
		down: {},
		up: {
			callback: function() {
				var self = this;
				loadSchoolList(self);
			}
		}
	});

	var searchCheckedNum = getLocalStorageItem("searchCheckedNum");
	var searchInputSearchValue = getLocalStorageItem("searchInputSearchValue");

	if (isEmpty(searchCheckedNum)) {
		setLocalStorageItem("searchCheckedNum", '1');
	}

	if (!isEmpty(searchInputSearchValue)) {
		document.getElementById('mui-input-search').focus();
		document.getElementById('mui-input-search').value = searchInputSearchValue;

		switch (searchCheckedNum) {
			case '1':
				jQuery("#counselorDiv").addClass("cur").siblings().removeClass("cur");
				changeValue();
				break;
			case '2':
				jQuery("#quesDiv").addClass("cur").siblings().removeClass("cur");
				changeValue();
				break;
			case '3':
				jQuery("#schoolDiv").addClass("cur").siblings().removeClass("cur");
				changeValue();
				break;
			default:
		}
	}
});

function changeValue() {
	jQuery("#title").siblings().hide();
	
	var counselorListDiv = document.getElementById("counselorListDiv");
	var quesDataListDiv = document.getElementById("quesDataListDiv");
	var schoolListDiv = document.getElementById("schoolListDiv");
	
	var searchCheckedNum = getLocalStorageItem("searchCheckedNum");
	var searchInputSearchValue = document.getElementById('mui-input-search').value;
	setLocalStorageItem("searchInputSearchValue", searchInputSearchValue);
	
	if (!isEmpty(searchInputSearchValue)) {
		switch (searchCheckedNum) {
			case '1':
				counselorPageNo = '1';
				initCounselorList();
				mui(counselorListDiv).pullToRefresh().refresh(true);
				break;
			case '2':
				quesDataPageNo = '1';
				initQuesDataList();
				mui(quesDataListDiv).pullToRefresh().refresh(true);
				break;
			case '3':
				schoolPageNo = '1';
				initSchoolList();
				mui(schoolListDiv).pullToRefresh().refresh(true);
				break;
			default:
		}
	} else {
		jQuery("#title").show();
	}
}

function showSearchList(listNum) {
	jQuery("#title").hide();
	jQuery("#title").siblings().show();
	//咨询师
	jQuery("#counselorList").siblings().hide();
	jQuery("#counselorList").hide();
	jQuery("#noCounselorData").hide();
	jQuery("#recommend").hide();
	jQuery("#mayFindCounselor").hide();
	//问题
	jQuery("#quesDataList").siblings().hide();
	jQuery("#noQuesData").hide();
	jQuery("#mayFindQuesData").hide();
	jQuery("#quesDataList").hide();
	//院校
	jQuery("#schoolList").siblings().hide();
	jQuery("#mayFindSchool").hide();
	jQuery("#noSchoolData").hide();
	jQuery("#schoolList").hide();

	switch (listNum) {
		case '11':
			//咨询师
			jQuery("#counselorList").siblings().show();
			jQuery("#mayFindCounselor").hide();
			jQuery("#counselorList").show();
			jQuery("#noCounselorData").show();
			jQuery("#recommend").show();
			break;
		case '12':
			//咨询师
			jQuery("#counselorList").siblings().show();
			jQuery("#mayFindCounselor").show();
			jQuery("#counselorList").show();
			jQuery("#noCounselorData").hide();
			jQuery("#recommend").hide();
			break;
		case '21':
			//问题
			jQuery("#quesDataList").siblings().hide();
			jQuery("#noQuesData").show();
			jQuery("#mayFindQuesData").hide();
			jQuery("#quesDataList").hide();
			break;
		case '22':
			//问题
			jQuery("#quesDataList").siblings().show();
			jQuery("#noQuesData").hide();
			jQuery("#mayFindQuesData").show();
			jQuery("#quesDataList").show();
			break;
		case '31':
			//院校
			jQuery("#schoolList").siblings().hide();
			jQuery("#mayFindSchool").hide();
			jQuery("#noSchoolData").show();
			jQuery("#schoolList").hide();
			break;
		case '32':
			//院校
			jQuery("#schoolList").siblings().show();
			jQuery("#mayFindSchool").show();
			jQuery("#noSchoolData").hide();
			jQuery("#schoolList").show();
			break;
		default:
	}

}
//搜索咨询师
function loadCounselorList(pullRefresh) {
	counselorPageNo = parseInt(counselorPageNo) + parseInt(1);
	initCounselorList(pullRefresh);
}

function getRecommendCounselorList(pullRefresh) {
	jQuery.ajax(ajaxDomainAPI + 'searchCounselorList', {
		async: true,
		cache: false,
		data: {
			clientVer: clientVer,
			pageNo: counselorPageNo,
			pageSize: pageSize,
			keyword: ""
		},
		dataType: 'text',
		type: 'post',
		timeout: 3000,
		success: function(data) {
			data = jQuery.parseJSON(unescape(data));
			var err = data.rtnStatus;
			var msg = data.rtnMsg;
			if (err) {
				var size = data.rows.length;
				var html = "";
				var userImg = "";
				var errorlogo = "../images/default_ava.jpg";
				if (size == 0) {
					if (counselorPageNo == '1') {
						
					}
				} else {
					for (var i = 0; i < size; i++) {
						userImg = data.rows[i].userImg;
						if (isEmpty(userImg)) {
							userImg = errorlogo;
						}
						html += '<li class="mui-table-view-cell mui-media">' +
							'<a href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userKey + '">' +
							'<p class="mui-media-object mui-pull-left"><img src="' + userImg + '" ' +
							'onerror=noFindImg("' + errorlogo + '") ></p>' +
							'<div class="mui-media-body text-br"><div class="clear">' +
							'<h4 class="mui-pull-left">' + data.rows[i].userName + '</h4>';

						switch (data.rows[i].integralLevelCode) {
							case '1':
								html += '<h5 class="person_grade"><span><img src="../images/grade_1.png" />普通用户</span></h5>';
								break;
							case '2':
								html += '<h5 class="person_grade"><span><img src="../images/grade_2.png" />升学学士</span></h5>';
								break;
							case '3':
								html += '<h5 class="person_grade"><span><img src="../images/grade_3.png" />升学硕士</span></h5>';
								break;
							case '4':
								html += '<h5 class="person_grade"><span><img src="../images/grade_4.png" />升学博士</span></h5>';
								break;
							case '5':
								html += '<h5 class="person_grade"><span><img src="../images/grade_5.png" />升学专家</span></h5>';
								break;
							case '6':
								html += '<h5 class="person_grade"><span><img src="../images/grade_6.png" />升学高级专家</span></h5>';
								break;
							case '7':
								html += '<h5 class="person_grade"><span><img src="../images/grade_7.png" />升学首席专家</span></h5>';
								break;
							default:
						}

						html += "</div><p class='mui-sch-label'>";

						var focusArray = data.rows[i].focus;
						if (!isEmpty(focusArray)) {
							var focus = focusArray.split(",");
							var focusSize = focus.length;
							for (var j = 0; j < focusSize; j++) {
								html += '<span>' + focus[j] + '</span>';
							}
						}

						html += '</p></div></a></li>';
					}

					if (counselorPageNo == '1') {
						jQuery("#title").siblings().show();
						showSearchList('11');

						jQuery("#counselorList").html(html);
						loadCounselorList(mui(document.getElementById("counselorListDiv")).pullToRefresh());
					} else {
						jQuery("#counselorList").append(html);
					}
				}

				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(pageSize > size);
				}
			} else {
				
			}
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
		}
	});
}

function initCounselorList(pullRefresh) {
	if (isEmpty(getLocalStorageItem("searchInputSearchValue"))) {
		result = true;
	}
	
	if (result) {
		getCounselorList(pullRefresh);
	}
	
	if (!result) {
		getRecommendCounselorList(pullRefresh);
	}
}

function getCounselorList(pullRefresh) {
	var userKey = null;
	var userInfo = getUserInfo();

	if (!isEmpty(userInfo)) {
		userKey = jQuery.parseJSON(userInfo).login_id;
	}

	var counselorName = document.getElementById('mui-input-search').value;
	
	if (!isEmpty(counselorName)) {
		jQuery.ajax(ajaxDomainAPI + 'searchCounselorList', {
			async: false,
			cache: false,
			data: {
				clientVer: clientVer,
				pageNo: counselorPageNo,
				pageSize: pageSize,
				userkey: userKey,
				keyword: counselorName
			},
			dataType: 'text',
			type: 'post',
			timeout: 3000,
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
				var err = data.rtnStatus;
				var msg = data.rtnMsg;
				if (err) {
					var size = data.rows.length;
					var html = "";
					var userImg = "";
					var errorlogo = "../images/default_ava.jpg";
					if (size == 0) {
						if (counselorPageNo == '1') {
							
							result = false;
						}
					} else {
						for (var i = 0; i < size; i++) {
							userImg = data.rows[i].userImg;
							if (isEmpty(userImg)) {
								userImg = errorlogo;
							}
							html += '<li class="mui-table-view-cell mui-media">' +
								'<a href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userKey + '">' +
								'<p class="mui-media-object mui-pull-left"><img src="' + userImg + '" ' +
								'onerror=noFindImg("' + errorlogo + '") ></p>' +
								'<div class="mui-media-body text-br"><div class="clear">' +
								'<h4 class="mui-pull-left">' + data.rows[i].userName + '</h4>';
	
							switch (data.rows[i].integralLevelCode) {
								case '1':
									html += '<h5 class="person_grade"><span><img src="../images/grade_1.png" />普通用户</span></h5>';
									break;
								case '2':
									html += '<h5 class="person_grade"><span><img src="../images/grade_2.png" />升学学士</span></h5>';
									break;
								case '3':
									html += '<h5 class="person_grade"><span><img src="../images/grade_3.png" />升学硕士</span></h5>';
									break;
								case '4':
									html += '<h5 class="person_grade"><span><img src="../images/grade_4.png" />升学博士</span></h5>';
									break;
								case '5':
									html += '<h5 class="person_grade"><span><img src="../images/grade_5.png" />升学专家</span></h5>';
									break;
								case '6':
									html += '<h5 class="person_grade"><span><img src="../images/grade_6.png" />升学高级专家</span></h5>';
									break;
								case '7':
									html += '<h5 class="person_grade"><span><img src="../images/grade_7.png" />升学首席专家</span></h5>';
									break;
								default:
							}
	
							html += "</div><p class='mui-sch-label'>";
	
							var focusArray = data.rows[i].focus;
							if (!isEmpty(focusArray)) {
								var focus = focusArray.split(",");
								var focusSize = focus.length;
								for (var j = 0; j < focusSize; j++) {
									html += '<span>' + focus[j] + '</span>';
								}
							}
	
							html += '</p></div></a></li>';
						}
	
						if (counselorPageNo == '1') {
							jQuery("#title").siblings().show();
							showSearchList('12');
	
							jQuery("#counselorList").html(html);
							loadCounselorList(mui(document.getElementById("counselorListDiv")).pullToRefresh());
						} else {
							jQuery("#counselorList").append(html);
						}
						
						result = true;
					}
					
					if (!isEmpty(pullRefresh)) {
						pullRefresh.endPullUpToRefresh(pageSize > size);
					}
				} else {
					
					result = false;
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);
			}
		});
	} else {
		result = true;
		jQuery("#title").siblings().hide();
		jQuery("#title").show();
	}
}

//搜索问题
function loadQuesDataList(pullRefresh) {
	quesDataPageNo = parseInt(quesDataPageNo) + parseInt(1);
	initQuesDataList(pullRefresh);
}

function initQuesDataList(pullRefresh) {
	var userKey = null;
	var userInfo = getUserInfo();

	if (!isEmpty(userInfo)) {
		userKey = jQuery.parseJSON(userInfo).login_id;
	}

	var quesDataName = document.getElementById('mui-input-search').value;

	if (!isEmpty(quesDataName)) {
		jQuery.ajax(ajaxDomainAPI + 'searchQAList', {
			async: true,
			cache: false,
			data: {
				clientVer: clientVer,
				pageNo: quesDataPageNo,
				pageSize: pageSize,
				userkey: userKey,
				keyword: quesDataName
			},
			dataType: 'text',
			type: 'post',
			timeout: 3000,
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
				var err = data.rtnStatus;
				var msg = data.rtnMsg;
				if (err) {
					var size = data.rows.length;
					var html = "";
					var userImg = "";
					var errorlogo = "../images/default_ava.jpg";
					if (size == 0) {
						if (quesDataPageNo == '1') {
							showSearchList('21');
						}
					} else {
						for (var i = 0; i < size; i++) {
							userImg = data.rows[i].studentimg;
							if (isEmpty(userImg)) {
								userImg = errorlogo;
							}

							html += '<li class="mui-table-view-cell mui-media">';

							switch (data.rows[i].usertype) {
								case 1: //学生
									html += '<a class="mui-pull-left" href="stu_dtl.html?stuKey=' + data.rows[i].userkey + '">';
									break;
								case 2: //咨询师
									html += '<a class="mui-pull-left" href="consult_dtl.html?userkeyCounselor=' + data.rows[i].userkey + '">';
									break;
								default: html += '<a class="mui-pull-left">';
							}

							html += '<img class="mui-media-object" src="' + userImg + '"' +
								'onerror=noFindImg("' + errorlogo + '")></a>' +
								'<div class="mui-media-body"><a href="ques_dtl.html?subject_id=' + data.rows[i].subject_id + '">' +
								'<h5>' + data.rows[i].nickname + '</h5>' +
								'<h4>' + data.rows[i].content + '</h4>' +
								'<p class="ques-view clear"><span class="mui-pull-left">' + unescapeExt(data.rows[i].createtime) +
								'</span><span class=" mui-pull-right"><i class="mui-icon iconfont icon-reply"></i>' +
								data.rows[i].replyNum +
								'</span><span class="mui-pull-right"><i class="mui-icon iconfont icon-eye"></i>' +
								data.rows[i].pv + '</span></p></a></div></li>';
						}

						if (quesDataPageNo == '1') {
							jQuery("#title").siblings().show();
							showSearchList('22');

							jQuery("#quesDataList").html(html);
							loadQuesDataList(mui(document.getElementById("quesDataListDiv")).pullToRefresh());
						} else {
							jQuery("#quesDataList").append(html);
						}
					}

					if (!isEmpty(pullRefresh)) {
						pullRefresh.endPullUpToRefresh(pageSize > size);
					}
				} else {
					showSearchList('21');
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);
			}
		});
	} else {
		jQuery("#title").siblings().hide();
		jQuery("#title").show();
	}
}

//搜索院校
function loadSchoolList(pullRefresh) {
	schoolPageNo = parseInt(schoolPageNo) + parseInt(1);
	initSchoolList(pullRefresh);
}

function initSchoolList(pullRefresh) {
	var userKey = null;
	var userInfo = getUserInfo();
	if (!isEmpty(userInfo)) {
		userKey = jQuery.parseJSON(userInfo).login_id;
	}

	var schoolName = document.getElementById('mui-input-search').value;
	
	if (!isEmpty(schoolName)) {
		jQuery.ajax(ajaxDomainAPI + 'searchSchoolList', {
			async: true,
			cache: false,
			data: {
				queryCondition: schoolName,
				clientVer: clientVer,
				pageNo: schoolPageNo,
				pageSize: pageSize,
				userKey: userKey
			},
			dataType: 'text',
			type: 'post',
			timeout: 3000,
			success: function(data) {
				data = jQuery.parseJSON(unescape(data));
				var err = data.rtnStatus;
				var msg = data.rtnMsg;
				if (err) {
					var size = data.rows.length;
					var html = "";
					var ggzlogo = "";
					var errorlogo = "../images/default_logo.png";
					if (size == 0) {
						if (schoolPageNo == '1') {
							
							showSearchList('31');
						}
					} else {
						for (var i = 0; i < size; i++) {
							ggzlogo = data.rows[i].ggzlogo;
							if (isEmpty(ggzlogo)) {
								ggzlogo = errorlogo;
							}
							html += '<li class="mui-table-view-cell mui-media">' +
								'<a href="school.html?schoolKey=' + data.rows[i].schoolkey + '">' +
								'<img class="mui-media-object mui-pull-left" src="' + ggzlogo + '" ' +
								'onerror=noFindImg("' + errorlogo + '") >' +
								'<div class="mui-media-body nopadding text-br"><h4>' + data.rows[i].schoolname;
							if (data.rows[i].bzstate == '1' /*&& data.rows[i].jpstate == '1'*/) {
								html += "<img class=\"label-sure\" src=\"../images/label-sure.png\" >";
							}

							html += "</h4><p class='mui-sch-label'>";
							if (!isEmpty(data.rows[i].schoolnatureImportant)) {
								if (/211/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>211</span>";
								}
								if (/985/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>985</span>";
								}
								if (/研/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>研究生院</span>";
								}
								if (/自/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>自主招生</span>";
								}
								if (/国/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>国防生</span>";
								}
								if (/卓/.exec(data.rows[i].schoolnatureImportant)) {
									html += "<span>卓越计划</span>";
								}
							}
							html += "</p></div></a></li>";
						}
						
						if (schoolPageNo == '1') {
							jQuery("#title").siblings().show();
							showSearchList('32');

							jQuery("#schoolList").html(html);
							loadSchoolList(mui(document.getElementById("schoolListDiv")).pullToRefresh());
						} else {
							jQuery("#schoolList").append(html);
						}
					}

					if (!isEmpty(pullRefresh)) {
						pullRefresh.endPullUpToRefresh(pageSize > size);
					}
				} else {
					
					showSearchList('31');
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);
				if (!isEmpty(pullRefresh)) {
					pullRefresh.endPullUpToRefresh(true);
				}
			}
		});
	} else {
		jQuery("#title").siblings().hide();
		jQuery("#title").show();
	}
}

function openWindowDIY(url, isCreateNew) {
	var name, value, newPageUrl;
	var extrasParam = {};
	var str = decodeURI(url); //取得整个地址栏
	var num = str.indexOf("?");
	var webview_style = {
		popGesture: "close"
	};
	
	if (num >= 0) {
		newPageUrl = str.substr(0, num);
		if (newPageUrl.indexOf("ques_dtl.html") >= 0) {
			var numTmp = str.substr(num + 1).indexOf("=");
			$cxMem.pageQuesDtlHtml.subjectId = str.substr(num + 1).substr(numTmp + 1);
			$cxMem.set($cxMem.pageQuesDtlHtml);
		} else {
			str = str.substr(num + 1); //取得所有参数 
			var arr = str.split("&"); //各个参数放到数组里
			for (var i = 0; i < arr.length; i++) {
				num = arr[i].indexOf("=");
				if (num > 0) {
					name = arr[i].substring(0, num);
					value = arr[i].substr(num + 1);
					extrasParam[name] = value;
				}
			}
		}
	} else {
		newPageUrl = str;
	}

	if (isEmpty(isCreateNew)) {
		isCreateNew = false;
	}

	mui.openWindow({
		url: newPageUrl,
		id: newPageUrl,
		extras: extrasParam, //自定义扩展参数，可以用来处理页面间传值
		createNew: isCreateNew, // 是否重复创建同样id的
		styles: webview_style,
		show: {
			aniShow: aniShow_pop
		},
		waiting: {
			autoShow: true, //自动显示等待框，默认为true
			//title:'正在加载...'//等待对话框上显示的提示内容
		}
	});
}

var old_back = mui.back;
mui.back = function() {
	setLocalStorageItem("searchInputSearchValue", "");
	setLocalStorageItem("searchCheckedNum", "1");
	old_back();
}